import { useState, useContext, FunctionComponent, useRef } from 'react'
import Link from 'next/link'
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome'
import { faSearch } from '@fortawesome/free-solid-svg-icons'
import theme from '../../styles/theme'
import { useOnClickOutside } from '../../lib/onClickOutside'

const Search = () => {
  const [menu, setMenu] = useState(false)
  const ref = useRef<HTMLLIElement>(null)
  useOnClickOutside(ref, () => {
    setMenu(false)
  })

  return (
    <>
      <li>
        <a
          onClick={(event) => {
            event.preventDefault()
            setMenu(!menu)
          }}
        >
          <FontAwesomeIcon icon={faSearch} />
          Search
        </a>

        {menu ? (
          <section className='searchmenu'>
            <input type='search' />
          </section>
        ) : null}
      </li>

      <style jsx>{`
        .searchmenu {
          right: 0;
          top: 100%;

          color: ${theme.colors.mobileNav};
          background-color: ${theme.colors.mobileNavBackground};
          align-content: end;
        }
        .searchmenu :global(a) {
          color: ${theme.colors.mobileNav};
        }
      `}</style>
    </>
  )
}

export default Search
