import { Rating } from '../../gql'

const Ratings = ({ ratings, className }: { ratings?: Rating[]; className?: string }) => {
  return (
    <div className={className}>
      <h2>Ratings</h2>
      {ratings ? (
        <ul>
          {ratings.map((rating) => (
            <li key={rating.id}>
              {rating.comment} {rating.value} {rating.user.name}
            </li>
          ))}
        </ul>
      ) : (
        <p>No ratings found</p>
      )}
    </div>
  )
}

export default Ratings
