import { FunctionComponent } from 'react'
import { TTraining } from '../types'
import Link from 'next/link'

const TrainingHint: FunctionComponent<{ training: TTraining }> = ({ training }) => {
  return (
    <Link href='/training/[id]' as={`/training/${training.id}`}>
      <a>
        <li>
          <div>{training.title}</div>
          <div>{new Date(training.trainingDate).toLocaleString()}</div>
          <style jsx>{``}</style>
        </li>
      </a>
    </Link>
  )
}

export default TrainingHint
